%define upstreamrelease 62

Name:           unittest
Version:        0.50
Release:        %{upstreamrelease}.1%{?dist}
Summary:        C++ Unit Test Framework

Group:          Applications/Libraries
License:        BSD
URL:            http://unittest.red-bean.com/
Source0:        http://unittest.red-bean.com/tar/%{name}-%{version}-%{upstreamrelease}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Unittest is a C++ unit test framework. Its design goals are to be simple, to
be idiomatic C++, and to follow the basic xUnit style to the extent that doing
so is compatible with the earlier goals. Its main differences from other xUnit
frameworks are that it uses constructors and destructors for setup/teardown
and that it requires you to represent tests as classes, instead of methods.

%package devel
Summary:        C++ Unit Test Framework
Group:          Development/Libraries


%description devel
Unittest is a C++ unit test framework. Its design goals are
to be simple, to be idiomatic C++, and to follow the basic xUnit style to the
extent that doing so is compatible with the earlier goals. Its main
differences from other xUnit frameworks are that it uses constructors and
destructors for setup/teardown and that it requires you to represent tests as
classes, instead of methods.


%prep
%setup -q -n %{name}-%{version}-%{upstreamrelease}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

%{__sed} -i 's|/usr/lib|%{buildroot}%{_libdir}|g' Makefile
make install prefix=%{buildroot} \
             HTMLDIR=%{buildroot}%{_docdir} \
             INCDIR=%{buildroot}%{_includedir}/%{name}
%{__chmod} -x test/unittesttest

%clean
rm -rf %{buildroot}

%files devel
%defattr(-,root,root,-)
%doc COPYING INSTALL test
%doc %{_docdir}/*
%{_libdir}/libunittest.a
%{_includedir}/%{name}

%changelog
* Wed Sep 30 2009 Ionuț Arțăriși <mapleoin@lavabit.com> - 0.50-62-1
- Initial release




